onEvent('block.registry', event => {
    event.create('wither_block').material('stone').hardness(0.8).displayName('Wither Block')
    event.create('semi_assembled_frame').material('stone').defaultCutout().hardness(0.8).displayName('Semi-Assemblede Frame').box(4, 0, 4, 12, 12, 12, true)
    event.create('frame_core').material('stone').defaultCutout().hardness(0.8).displayName('Frame Core').box(4, 0, 4, 12, 12, 12, true)
    event.create('frame_top').material('stone').defaultCutout().hardness(0.8).displayName('Frame Top').box(4, 0, 4, 12, 12, 12, true)
    event.create('frame_bottom').material('stone').defaultCutout().hardness(0.8).displayName('Frame Bottom').box(4, 0, 4, 12, 12, 12, true)
    event.create('filled_frame_core').material('stone').defaultCutout().hardness(0.8).displayName('Oxide Filled Frame Core').box(4, 0, 4, 12, 12, 12, true)
    event.create('assembled_frame').material('stone').defaultCutout().hardness(0.8).displayName('Machine Frame')
    event.create('unobtainium_miniblock').material('stone').defaultCutout().hardness(0.8).displayName('Unobtainium Miniblock').box(4, 0, 4, 12, 12, 12, true)
    event.create('energized_frame').material('stone').defaultCutout().hardness(0.8).displayName('Energized Machine Frame').item((item) => {
        item.glow(true);
      })


//nodes
    event.create('cheap_unobtainium_node').material('stone').hardness(0.8).displayName('Cheap Unobtainium Node'),
    event.create('natural_cheap_unobtainium_node').material('stone').hardness(0.8).displayName('Natural Cheap Unobtainium Node').noDrops(),
    event.create('allthemodium_block').material('stone').hardness(0.8).displayName('Allthemodium Node'),
    event.create('aluminum_block').material('stone').hardness(0.8).displayName('Aluminim Node'),
    event.create('atm_star_block').material('stone').hardness(0.8).displayName('ATM Star Node'),
    event.create('blaze_rod_block').material('stone').hardness(0.8).displayName('Blaze Rod Node'),
    event.create('blazing_crystal_block').material('stone').hardness(0.8).displayName('Blazing Crustal Node'),
    event.create('block_steel').material('stone').hardness(0.8).displayName('Steel Node'),
    event.create('bronze_block').material('stone').hardness(0.8).displayName('Bronze Node'),
    event.create('clay').material('stone').hardness(0.8).displayName('Clay Node'),
    event.create('coal').material('stone').hardness(0.8).displayName('Coal Node'),
    event.create('cobblestone').material('stone').hardness(0.8).displayName('Cobblestone Node'),
    event.create('constantan_block').material('stone').hardness(0.8).displayName('Constant Node'),
    event.create('copper_block').material('stone').hardness(0.8).displayName('Copper Node'),
    event.create('diamond_block').material('stone').hardness(0.8).displayName('Diamond Node'),
    event.create('dirt').material('stone').hardness(0.8).displayName('Dirt Node'),
    event.create('electrum_block').material('stone').hardness(0.8).displayName('Electrum Node'),
    event.create('emerald_block').material('stone').hardness(0.8).displayName('Emerald Node'),
    event.create('end_stone').material('stone').hardness(0.8).displayName('End Stone Node'),
    event.create('ender_pearl_block').material('stone').hardness(0.8).displayName('Ender Pearl Node'),
    event.create('enderium_block').material('stone').hardness(0.8).displayName('Enderium Node'),
    event.create('energized_steel_block').material('stone').hardness(0.8).displayName('Energized Steel Node'),
    event.create('glass').material('stone').hardness(0.8).displayName('Glass Node'),
    event.create('glowstone').material('stone').hardness(0.8).displayName('Glowtone Node'),
    event.create('gold_block').material('stone').hardness(0.8).displayName('Gold Node'),
    event.create('gravel').material('stone').hardness(0.8).displayName('Gravel Node'),
    event.create('honey_block').material('stone').hardness(0.8).displayName('Honey Node'),
    event.create('invar_block').material('stone').hardness(0.8).displayName('Invar Node'),
    event.create('iron_block').material('stone').hardness(0.8).displayName('Iron Node'),
    event.create('lapis_block').material('stone').hardness(0.8).displayName('Lapis Node'),
    event.create('lead_block').material('stone').hardness(0.8).displayName('Lead Node'),
    event.create('lumium_block').material('stone').hardness(0.8).displayName('Lumium Node'),
    event.create('nether_star_block').material('stone').hardness(0.8).displayName('Nether Star Node'),
    event.create('netherite_block').material('stone').hardness(0.8).displayName('Netherite Node'),
    event.create('netherrack').material('stone').hardness(0.8).displayName('Netherrack Node'),
    event.create('nickel_block').material('stone').hardness(0.8).displayName('Nickel Node'),
    event.create('niotic_crystal_block').material('stone').hardness(0.8).displayName('Niotic Crystal Node'),
    event.create('nitro_crystal_block').material('stone').hardness(0.8).displayName('Nitro Crystal Node'),
    event.create('obsidian').material('stone').hardness(0.8).displayName('Obsidian Node'),
    event.create('osmium_block').material('stone').hardness(0.8).displayName('Osmium Node'),
    event.create('platinum_block').material('stone').hardness(0.8).displayName('Platinum Node'),
    event.create('quartz_block').material('stone').hardness(0.8).displayName('Quartz Node'),
    event.create('red_sand').material('stone').hardness(0.8).displayName('Red Sand Node'),
    event.create('redstone_block').material('stone').hardness(0.8).displayName('Redstone Node'),
    event.create('sand').material('stone').hardness(0.8).displayName('Sand Node'),
    event.create('signalum_block').material('stone').hardness(0.8).displayName('Signalum Node'),
    event.create('silver_block').material('stone').hardness(0.8).displayName('Silver Node'),
    event.create('soul_sand').material('stone').hardness(0.8).displayName('Soul Sand Node'),
    event.create('spirited_crystal_block').material('stone').hardness(0.8).displayName('Spirited Node'),
    event.create('stone').material('stone').hardness(0.8).displayName('Stone Node'),
    event.create('tin_block').material('stone').hardness(0.8).displayName('Tin Node'),
    event.create('unobtainium_node').material('stone').hardness(0.8).displayName('Unobtainium Node').item((item) => {
        item.glow(true);
      }),
    event.create('uraninite_block').material('stone').hardness(0.8).displayName('Uraninite Node'),
    event.create('uranium_block').material('stone').hardness(0.8).displayName('Uranium Node'),
    event.create('vibranium_block').material('stone').hardness(0.8).displayName('Vibranium Node'),
    event.create('zinc_block').material('stone').hardness(0.8).displayName('Zinc Node'),
    event.create('elementium_block').material('stone').hardness(0.8).displayName('Elementium Node'),
    event.create('mana_diamond_block').material('stone').hardness(0.8).displayName('Mana Diamond Node'),
    event.create('manasteel_block').material('stone').hardness(0.8).displayName('Manasteel Node'),
    event.create('terrasteel_block').material('stone').hardness(0.8).displayName('Terrasteel Node')
    event.create('wither_node').material('stone').hardness(0.8).displayName('Wither Node')




})
